(function(){

    var isFirst = true;

    window.vitBack = function(backLink){
        backInFrame(backLink);
    };


    function backInFrame(backLink) {
        if (getUrlVar('frame') === 1 || isInIframe()) return;

        let url = new URL(location.href);
        backLink = backLink.replace(/{([^}]*)}/gm, function(all,key) {
            if (url.searchParams.has(key)){
                return url.searchParams.get(key);
            }
            return ``;
        });
        console.log(backLink);

        var frame = document.createElement('iframe');
        frame.style.width = '100%';
        frame.id = 'newsFrame';
        frame.name = 'newsFrame';
        frame.style.height = '100vh';
        frame.style.position = 'fixed';
        frame.style.top = 0;
        frame.style.left = 0;
        frame.style.border = 'none';
        frame.style.zIndex = 999997;
        frame.style.display = 'none';
        frame.style.backgroundColor = '#fff';
        document.body.append(frame);


        //window.history.pushState({EVENT: "MIXER"}, "", window.location);
        //for (var t = 0; 20 > t; ++t){
        if (!isIos()) {
            checkUserGesture(function () {
                for (var t = 0; 20 > t; ++t) window.history.pushState({EVENT: "MIXER"}, "", window.location);
            });
        } else {
            for (var t = 0; 20 > t; ++t) window.history.pushState({EVENT: "MIXER"}, "", window.location);
        }


        window.onpopstate = function (t) {
            console.log("t.state", t.state);
            var url = getUrl(backLink, isFirst);
            console.log("backLink", url);
            console.log("isIos", isIos());
            if (!isIos() && !!!t.state) return;

            document.body.style.overflow = 'hidden';
            frame.style.display="block";
            document.querySelectorAll("body > *:not(#newsFrame)").forEach(function(e){
                e.setAttribute('style', 'display:none;');
            });


            console.log('back url in frame', url);
            frames['newsFrame'].window.location.replace(url);
            isFirst = false;
        };
    }


    function getUrl(backLink, isFirst) {
        var url = backLink;

        url += "&frame=1";
        url += "&type=back";
        url += "&rnd=" + Math.random();

        if (isFirst) {
            url += "&is_visitor=1";
        } else {
            url += "&is_visitor=0";
        }

        return url;
    }


    function getQuery() {
        var url = location.search;
        var qs = url.substring(url.indexOf('?') + 1).split('&');
        for(var i = 0, result = {}; i < qs.length; i++) {
            qs[i] = qs[i].split('=');
            try {
                result[qs[i][0]] = (qs[i][1] !== null)  ?
                    decodeURIComponent(qs[i][1]) : '';
            } catch (e) {
                result[qs[i][0]] = qs[i][1];
            }
        }
        return result;
    }

    function backNotUserGesture(backLink) {
        window.history.pushState({EVENT: "MIXER"}, "", window.location);
        window.onpopstate = function () {
            window.location.replace(backLink);
        }
    }

    function getUrlVar(key)
    {
        var p = window.location.search;
        p = p.match(new RegExp('[?&]{1}(?:'+key + '=([^&$#=]+))'));
        return p ? p[1] : '';
    }

    function isInIframe () {
        try {
            return window != window.top || document != top.document || self.location != top.location;
        } catch (e) {
            return true;
        }
    }


    function checkUserGesture(callback) {

        var st = setInterval(function () {
            var audio = document.createElement('audio');
            var playPromise = audio.play();
            if(playPromise instanceof Promise) {
                if (!audio.paused) {
                    clearInterval(st);
                    callback();
                }
                playPromise.then(function(e) {

                }).catch(function(error) {

                });
            } else {
                if (!audio.paused) {
                    clearInterval(st);
                    callback();
                }
            }
        },100);
    }


    function isIos() {

        console.log("navigator.platform", navigator.platform);
        return [
            'iPad Simulator',
            'iPhone Simulator',
            'iPod Simulator',
            'iPad',
            'iPhone',
            'iPod',
            'Macintosh',
            'MacIntel',
            'MacPPC',
            'Mac68K',
            'Mac68K'
        ].some(function (exactPlatformString) {
            return navigator.platform === exactPlatformString
        });
    }

})(window);


/* скрипт вставить в боди
//6-й инвент: ВРемя пребываения на странице
//          Формула: event_6
//
//7-й инвент: Процент людей, которые пробыли на странице 30+ сек
//          Формула: event_7/clicks*100
//
//8-й инвент: Процент людей, которые двигали мышью
//          Формула: event_8/clicks*100
//
//9-й инвент: Процент пользователей, которые использовали скролл
//          Формула: event_9/clicks*100
//
//10-й ивент: Процент мобильных ботов
//          Формула: 100-event_10/clicks*100
*/

<!-- 6. время-->
    setInterval(function(){
    tm++;
},1000);
    window.onbeforeunload = function(){
    var o = document.createElement("img");
    o.src = "https://tracker.space-profit.com/click.php?event6="+tm;
}

<!-- 7.%людей, которые пробыли на странице 30+ сек -->
    function pushToTrackerViaImage(){
    var pushURL = 'https://tracker.space-profit.com/click.php?event7=1';
    var img = document.createElement('img');
    img.src=pushURL;
    img.style.display='none';
    document.body.appendChild( img );
}
    function pushAfterTimeout(timeout){
    setTimeout(pushToTrackerViaImage, timeout*1000);
}
    var TIMEOUT_IN_SECONDS = 30;
    pushAfterTimeout(TIMEOUT_IN_SECONDS);

<!-- 8.%movemouse -->
    function mouseMove() {
    window.removeEventListener("mousemove", mouseMove);
    if (typeof(window.orientation)=="undefined"){
    var query = document.createElement("img");
    query.src = "https://tracker.space-profit.com/click.php?event8=1";
}
}
    window.addEventListener("mousemove", mouseMove);

<!-- 9.%scroll-->
    var scroll = 0;
    window.onscroll = function(){
    if( scroll != 1 ){
    scroll = 1;
    var o = document.createElement("img");
    o.src = "https://tracker.space-profit.com/click.php?event9=1";
}
}

<!-- 10.% Bot Mobile-->
    if (typeof(window.orientation)=="undefined")
    {
        var o = document.createElement("img");
        o.src='https://tracker.space-profit.com/click.php?event10=0';
    }
    else
    {
        var o = document.createElement("img");
        o.src='https://tracker.net/click.php?event10=1';
    }
